tabs:
  fields:

    ####################################################
    # Tab: Info
    ####################################################

    website_name:
      tab: Info
      label: Website Name
      type: text
      default: Michelle Shenhav

    website_author:
      tab: Info
      label: Author
      type: text
      default: Hidden Raven

    website_url:
      tab: Info
      label: URL
      type: text
      default: "http://hiddenraven.be"

    short_description:
      tab: Info
      label: Description courte
      type: textarea
      default: ""

    long_description:
      tab: Info
      label: Description longue
      type: textarea
      default: ""

    keywords:
      tab: Info
      label: Keywords
      type: taglist
      separator: comma

    site_logo_png:
        tab: Info
        label: 'Logo PNG'
        span: left
        mode: image
        imageWidth: '100'
        imageHeight: '100'
        useCaption: true
        thumbOptions:
            mode: crop
            extension: auto
        type: fileupload

    site_logo_svg:
        tab: Info
        label: 'Logo SVG'
        span: right
        mode: image
        imageWidth: '100'
        imageHeight: '100'
        useCaption: true
        thumbOptions:
            mode: crop
            extension: auto
        type: fileupload

    ####################################################
    # Tab: Assets
    ####################################################

    dynamic_css:
      tab: Assets
      label: CSS Dynamique
      type: switch
      default: true

    load_google_fonts:
      tab: Assets
      label: Google Fonts
      type: switch
      default: true

    main_font:
      tab: Assets
      comment: Par exemple Open Sans
      placeholder: Par exemple Open Sans
      label: Typo principale
      type: text
      default: "Arimo"
      assetVar: "lt-main-font"
      trigger:
        action: show
        field: load_google_fonts
        condition: checked

    secondary_font:
      tab: Assets
      label: Typo secondaire
      comment: Par exemple Open Sans
      type: text
      default: "Copse"
      assetVar: "lt-secondary-font"
      trigger:
        action: show
        field: load_google_fonts
        condition: checked

    load_fontawesome:
      tab: Assets
      label: FontAwesome Icons Font
      type: switch
      default: true


    load_jQuery:
      tab: Assets
      label: jQuery
      type: switch
      default: true

    jQuery_version:
      tab: Assets
      label: jQuery Version
      type: dropdown
      default: 2.2.4
      options:
        3.1.0: 3.1.0
        2.2.4: 2.2.4
        1.12.4: 1.12.4
      trigger:
        action: show
        field: load_jQuery
        condition: checked

    load_octobercms_framework:
      tab: Assets
      label: OctoberCMS Front-end Javascript Framework
      type: switch
      default: false

    ####################################################
    # Tab: Styles
    ####################################################

    primary_color:
      tab: Styles
      label: Couleur principale
      type: colorpicker
      availableColors: []
      default: "#f49051"
      assetVar: "lt-primary-color"

    secondary_color:
      tab: Styles
      label: 2e Couleur
      type: colorpicker
      availableColors: []
      default: "#0088D1"
      assetVar: "lt-secondary-color"

    third_color:
      tab: Styles
      label: 3e Couleur
      type: colorpicker
      availableColors: []
      default: "#930062"
      assetVar: "lt-third-color"

    text_color:
      tab: Styles
      label: Couleur des textes
      type: colorpicker
      availableColors: []
      default: "#575756"
      assetVar: "lt-text-color"

    link_color:
      tab: Styles
      label: Couleur des liens
      type: colorpicker
      availableColors: []
      default: "#f69288"
      assetVar: "lt-link-color"

    grey_color:
      tab: Styles
      label: Couleur du gris
      type: colorpicker
      availableColors: []
      default: "#efedec"
      assetVar: "lt-grey-color"

    ####################################################
    # Tab: Addons
    ####################################################


    ####################################################
    # Tab: Advanced
    ####################################################

    # custom_css:
    #   tab: Advanced
    #   label: Custom CSS
    #   type: codeeditor
    #   size: huge
    #   language: css
    #
    # custom_js:
    #   tab: Advanced
    #   label: Custom JS
    #   type: codeeditor
    #   size: huge
    #   language: javascript


    
